# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls
package_name = "spotify-client"


def install():
    # Installing the package
    print("Installing: %s" % package_name)
    update_apt()
    install_apt("apt-transport-https")
    install_apt("ca-certificates")
    run("apt-key add pubkey_5E3C45D7B312C643.gpg")
    run('echo "deb http://repository.spotify.com stable non-free" > /etc/apt/sources.list.d/spotify.list')
    update_apt()
    install_apt(package_name)


def uninstall():
    # Uninstalling the package
    print("Uninstalling %s" % package_name)
    uninstall_apt(package_name)


def update_package():
    wget("https://download.spotify.com/debian/pubkey_5E3C45D7B312C643.gpg", "pubkey_5E3C45D7B312C643.gpg")
